﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.University
{
    class Program
    {
        static void Main(string[] args)
        {
            Student s1 = new Student("Huba Hugó");
            Student s2 = new Student("Sánta Rezső");
            Console.WriteLine(s1.UniversityCode);
            Console.WriteLine(s2.UniversityCode);

            Teacher t1 = new Teacher("Kis Ferenc");
            Course c1 = t1.CreateCourse("Lazulás");
            Course c2 = t1.CreateCourse("Pihizés");
            s1.SignForCourse(c1);
            s1.SignForCourse(c2);
            s2.SignForCourse(c2);

            Console.WriteLine("Kurzusok:");
            foreach (String name in Course.ListedCourseNames) // statikus tulajdonság lekérdezése
            {
                Course course = Course.GetCourse(name); // statikus metódus meghívása
                Console.WriteLine(course.Name + ", létszám: " + course.StudentCount);
            }

            Console.ReadKey();
        }
    }
}
